Index: /branches/ORCHIDEE_EXT/ORCHIDEE/AA_make
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/AA_make	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/AA_make	(revision 257)
@@ -1,4 +1,4 @@
-#- $Id: AA_make,v 1.4 2007/09/20 13:32:32 ssipsl Exp $
-all : libparameters libparallel liborglob libstomate libsechiba
+#- $Id: AA_make 41 2011-01-01 19:56:53Z mmaipsl $
+all : libparallel libparameters liborglob libstomate libsechiba
 
 libparameters :
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/AA_make.ldef
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/AA_make.ldef	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/AA_make.ldef	(revision 257)
@@ -1,3 +1,3 @@
-#- $Id: AA_make.ldef,v 1.1 2007/06/21 09:11:58 ssipsl Exp $
+#- $Id: AA_make.ldef 12 2010-11-05 15:42:13Z mmaipsl $
 #---------------------------------------------------------------------
 #-
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/AA_make
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/AA_make	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/AA_make	(revision 257)
@@ -1,4 +1,4 @@
 #-
-#- $Id: AA_make,v 1.5 2010/04/06 14:26:07 ssipsl Exp $
+#- $Id: AA_make 41 2011-01-01 19:56:53Z mmaipsl $
 #-
 PARAM_LIB = $(LIBDIR)/libparameters.a
@@ -21,4 +21,5 @@
 #-
 all:
+	$(M_K) libparallel
 	$(M_K) libparameters
 	$(M_K) m_all
@@ -26,4 +27,7 @@
 
 m_all: $(MODEL_LIB)($(OBJSMODS1))
+
+libparallel:
+	(cd ../src_parallel; $(M_K) -f Makefile)
 
 libparameters:
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/AA_make.ldef
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/AA_make.ldef	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/AA_make.ldef	(revision 257)
@@ -1,4 +1,4 @@
 #-
-#- $Id: AA_make.ldef,v 1.2 2008/01/08 11:49:07 ssipsl Exp $
+#- $Id: AA_make.ldef 12 2010-11-05 15:42:13Z mmaipsl $
 #-
 #---------------------------------------------------------------------
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/grid.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/grid.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/grid.f90	(revision 257)
@@ -4,6 +4,11 @@
 !! @call sechiba_main
 !! @Version : $Revision: 1.8 $, $Date: 2009/01/28 08:32:45 $
+!! @Version : $Revision: 42 $, $Date: 2011-01-01 21:15:03 +0100 (Sat, 01 Jan 2011) $
 !! 
 !! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_global/grid.f90,v 1.8 2009/01/28 08:32:45 ssipsl Exp $
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_global/grid.f90 $
+!< $Date: 2011-01-01 21:15:03 +0100 (Sat, 01 Jan 2011) $
+!< $Author: mmaipsl $
+!< $Revision: 42 $
 !!
 !! @author Marie-Alice Foujols, Jan Polcher and Martial Mancip
@@ -23,5 +28,4 @@
   ! default resolution (m)
   REAL(r_std), PARAMETER :: default_resolution = 250000.
-  !
   !
   ! VARIABLES
@@ -189,6 +193,4 @@
     ! =========================================================================
     
-
-
     IF ( bavard .GE. 4 ) WRITE(numout,*) 'Entering grid_stuff'
 
@@ -239,7 +241,7 @@
        ! initialize output
        neighbours_g(:,:) = -1
-       resolution_g(:,:) = 0.
+       resolution_g(:,:) = zero
        min_resol(:) = 1.e6
-       max_resol(:) = -1.
+       max_resol(:) = moins_un
        
        correspondance(:,:) = -1
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/interpol_help.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/interpol_help.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/interpol_help.f90	(revision 257)
@@ -8,4 +8,9 @@
 !
 !! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_global/interpol_help.f90,v 1.7 2010/04/06 14:30:23 ssipsl Exp $
+!
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_global/interpol_help.f90 $
+!< $Date: 2011-01-01 20:56:53 +0100 (Sat, 01 Jan 2011) $
+!< $Author: mmaipsl $
+!< $Revision: 41 $
 !
 !
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/solar.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/solar.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_global/solar.f90	(revision 257)
@@ -3,6 +3,12 @@
 !! @call sechiba_main
 !! @Version : $Revision: 1.1 $, $Date: 2010/04/06 14:26:07 $
+!! @Version : $Revision: 42 $, $Date: 2011-01-01 21:15:03 +0100 (Sat, 01 Jan 2011) $
 !! 
 !! $Header: /home/ssipsl/CVSREP/ORCHIDEE/src_global/solar.f90,v 1.1 2010/04/06 14:26:07 ssipsl Exp $
+!
+!< $HeadURL: http://forge.ipsl.jussieu.fr/orchidee/svn/trunk/ORCHIDEE/src_global/solar.f90 $
+!< $Date: 2011-01-01 21:15:03 +0100 (Sat, 01 Jan 2011) $
+!< $Author: mmaipsl $
+!< $Revision: 42 $
 !!
 !! @author Marie-Alice Foujols, Jan Polcher and Martial Mancip
@@ -54,5 +60,4 @@
     !---------------------------------------------------------------------
     !
-!    pi = 4.*ATAN(1.)
     IF (check) WRITE(numout,*) 'We get the right calendar information'
     !-
@@ -132,5 +137,5 @@
           llat  = llatd*pi/180.
           csang(ilon,ilat) = &
-               &  MAX(0.,SIN(dec)*SIN(llat)+COS(dec)*COS(llat)*COS(omega))
+               &  MAX(zero,SIN(dec)*SIN(llat)+COS(dec)*COS(llat)*COS(omega))
        ENDDO
     ENDDO
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/AA_make
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/AA_make	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/AA_make	(revision 257)
@@ -1,7 +1,7 @@
 #-
-#- $Id: AA_make,v 1.6 2010/04/06 14:34:32 ssipsl Exp $
+#- $Id: AA_make 41 2011-01-01 19:56:53Z mmaipsl $
 #-
-MODS1 = timer.f90 \
-	data_para.f90 \
+MODS1 = data_para.f90 \
+        timer.f90 \
         transfert_para.f90 \
 	ioipsl_para.f90 \
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/AA_make.ldef
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/AA_make.ldef	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/AA_make.ldef	(revision 257)
@@ -1,4 +1,4 @@
 #-
-#- $Id: AA_make.ldef,v 1.3 2008/01/08 11:49:07 ssipsl Exp $
+#- $Id: AA_make.ldef 12 2010-11-05 15:42:13Z mmaipsl $
 #-
 #---------------------------------------------------------------------
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/data_para.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/data_para.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/data_para.f90	(revision 257)
@@ -11,9 +11,12 @@
 !-
   USE defprec
-  USE constantes
   USE ioipsl
 !-
 #include "src_parallel.h"
 !-
+!-
+! Unit for output messages
+  INTEGER(i_std), SAVE :: numout = 6
+
   INTEGER, SAVE :: mpi_size                                           !! Number of parallel processes
   INTEGER, SAVE :: mpi_rank                                           !! my rank num
@@ -203,5 +206,5 @@
  
   SUBROUTINE init_data_para(iim,jjm,nbpoints,index_x)
-    USE constantes
+
     IMPLICIT NONE
 #ifdef CPP_PARA
@@ -457,5 +460,5 @@
   SUBROUTINE Write_Load_balance(times)
     IMPLICIT NONE
-    REAL,INTENT(IN) :: times
+    REAL(r_std),INTENT(IN) :: times
   
 #ifdef CPP_PARA  
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/ioipsl_para.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/ioipsl_para.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/ioipsl_para.f90	(revision 257)
@@ -9,5 +9,4 @@
   USE data_para
   USE transfert_para
-  USE constantes
 !-
   IMPLICIT NONE
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/orch_write_field.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/orch_write_field.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/orch_write_field.f90	(revision 257)
@@ -7,5 +7,5 @@
 module orch_Write_Field
   
-  USE constantes
+  USE data_para
 
   IMPLICIT NONE
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/timer.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/timer.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/timer.f90	(revision 257)
@@ -7,5 +7,5 @@
 MODULE timer
 
-  USE constantes
+  USE data_para
   
   INTEGER, PARAMETER :: nb_timer=2
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/tools_para.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/tools_para.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/tools_para.f90	(revision 257)
@@ -11,5 +11,4 @@
   USE timer
   USE data_para
-  USE constantes
 !-
 #include "src_parallel.h"
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/transfert_para.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/transfert_para.f90	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parallel/transfert_para.f90	(revision 257)
@@ -9,5 +9,4 @@
   USE data_para
   USE timer
-  USE constantes
 !-
   IMPLICIT NONE
@@ -552,5 +551,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -599,5 +597,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -647,5 +644,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -1953,5 +1949,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -1985,5 +1980,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2018,5 +2012,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2050,5 +2043,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2084,5 +2076,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2139,5 +2130,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2195,5 +2185,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2250,5 +2239,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2319,5 +2307,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2387,5 +2374,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2456,5 +2442,4 @@
     USE data_para, iim=>iim_g,jjm=>jjm_g
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2521,5 +2506,4 @@
     USE data_para, iim=>iim_g,jjm=>jjm_g
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2590,5 +2574,4 @@
     USE data_para, iim=>iim_g,jjm=>jjm_g
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2655,5 +2638,4 @@
     USE data_para, iim=>iim_g,jjm=>jjm_g
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2733,5 +2715,4 @@
     USE data_para, iim=>iim_g,jjm=>jjm_g
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2810,5 +2791,4 @@
     USE data_para, iim=>iim_g,jjm=>jjm_g
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2887,5 +2867,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
@@ -2922,5 +2901,4 @@
     USE data_para
     USE timer
-    USE constantes
 
     IMPLICIT NONE
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/AA_make
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/AA_make	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/AA_make	(revision 257)
@@ -1,4 +1,4 @@
 #-
-#- $Id: AA_make,v 1.17 2010/04/06 14:34:32 ssipsl Exp $
+#- $Id: AA_make 41 2011-01-01 19:56:53Z mmaipsl $
 #-
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
@@ -8,4 +8,11 @@
 #-Q- eshpux SXIOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 #-Q- sx8brodie SXIOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
+#-
+PARALLEL_LIB = $(LIBDIR)/libparallel.a
+SXPARALLEL_LIB = $(PARALLEL_LIB)
+#-Q- sxnec  SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
+#-Q- sx6nec SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
+#-Q- eshpux SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
+#-Q- sx8brodie SXPARALLEL_LIB = $(LIBDIR)/libsxparallel.a
 #-
 MODS1 = constantes.f90 \
@@ -23,4 +30,5 @@
 all:
 	$(M_K) libioipsl
+	$(M_K) libparallel
 	$(M_K) m_all
 	@echo parameter is OK
@@ -30,4 +38,7 @@
 libioipsl:
 	(cd ../../IOIPSL/src; $(M_K) -f Makefile)
+
+libparallel:
+	(cd ../src_parallel; $(M_K) -f Makefile)
 
 $(MODEL_LIB)(%.o): %.f90
@@ -57,4 +68,5 @@
   $(MODEL_LIB)(constantes_mtc.o)
 $(MODEL_LIB)(constantes.o): \
+  $(PARALLEL_LIB) \
   $(IOIPSL_LIB)
 
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/AA_make.ldef
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/AA_make.ldef	(revision 256)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/AA_make.ldef	(revision 257)
@@ -1,4 +1,4 @@
 #-
-#- $Id: AA_make.ldef,v 1.7 2008/01/08 11:49:07 ssipsl Exp $
+#- $Id: AA_make.ldef 12 2010-11-05 15:42:13Z mmaipsl $
 #-
 #---------------------------------------------------------------------
